Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface FilterType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  BooleanFilterType, CompoundFilterType, DateTimeFilterType, FloatFilterType, IntegerFilterType, SimpleFilterType, StringFilterType

All Known Implementing Classes:
  BooleanFilterTypeImpl, CompoundFilterTypeImpl, DateTimeFilterTypeImpl, FilterTypeImpl, FloatFilterTypeImpl, IntegerFilterTypeImpl, SimpleFilterTypeImpl, StringFilterTypeImpl

    public interface FilterType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Filter Type'.

The following features are supported:

- `Negate`

See Also:
  `QueryPackage.getFilterType()`

Method Summary
`boolean` | `isNegate()` Returns the value of the 'Negate' attribute.
`boolean` | `isSetNegate()` Returns whether the value of the '`Negate`' attribute is set.
`void` | `setNegate(boolean value)` Sets the value of the '`Negate`' attribute.
`void` | `unsetNegate()` Unsets the value of the '`Negate`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isNegate

    boolean isNegate()

  Returns the value of the 'Negate' attribute. The default value is `"false"`.

  If the meaning of the 'Negate' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Negate' attribute.
  See Also:
    `isSetNegate()`, `unsetNegate()`, `setNegate(boolean)`, `QueryPackage.getFilterType_Negate()`

### setNegate

    void setNegate(boolean value)

  Sets the value of the '`Negate`' attribute.

  Parameters:
    `value` - the new value of the 'Negate' attribute.
  See Also:
    `isSetNegate()`, `unsetNegate()`, `isNegate()`

### unsetNegate

    void unsetNegate()

  Unsets the value of the '`Negate`' attribute.

  See Also:
    `isSetNegate()`, `isNegate()`, `setNegate(boolean)`

### isSetNegate

    boolean isSetNegate()

  Returns whether the value of the '`Negate`' attribute is set.

  Returns:
    whether the value of the 'Negate' attribute is set.
  See Also:
    `unsetNegate()`, `isNegate()`, `setNegate(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD